package com.javaseleniumtemplate.flows;

import com.javaseleniumtemplate.pages.CalendarioDeCardapioPage;

public class CalendarioDeCardapioFlows {


    CalendarioDeCardapioPage calendarioDeCardapioPage = new CalendarioDeCardapioPage();

    public String acessarTelaCalendarioCardapio(){
        calendarioDeCardapioPage.acessaTelaCalendarioCardapio();
        return calendarioDeCardapioPage.validaAcessoTela();
    }

    public void validaCamposObrigatorios(){
        calendarioDeCardapioPage.validaCamposObrigatorios();
    }

    public void diasProrrogacaoCalendario(String NRDIASPRORROGUNIDADE,String NRDIASPRORROGMatriz,String NRDIASPRORROG){
        calendarioDeCardapioPage.alteraDataCalendario(NRDIASPRORROGUNIDADE,NRDIASPRORROGMatriz,NRDIASPRORROG);
    }

    public String msgEncontradaDiasProrrogacaoUnidade(){return calendarioDeCardapioPage.diasProrrogacaoUnidade();
    }

    public String msgEncontradaDiasProrrogacaoMatriz(){return calendarioDeCardapioPage.diasProrrogacaoMatriz();
    }

    public String msgEncontradaDiasProrrogacao(){return calendarioDeCardapioPage.diasProrrogacao();
    }

    public String msgEsperadaDiasProrrogacao(){return calendarioDeCardapioPage.msgEncontradaDiasProrrogacao();}

    public String mensagemCampoLiberacao(){return calendarioDeCardapioPage.retornaMsgPrevisaoLiberacao();}

    public String mensagemCampoLimiteAprovUnidade(){return calendarioDeCardapioPage.retornaMsgLimiteAprovUnidade();}

    public String mensagemCampoLimiteAprovMatriz(){return calendarioDeCardapioPage.retornaMsgLimiteAprovMatriz();}

    public void insereCalendarioCardapio(String DTLIBERACAO, String DTCUSTO){
calendarioDeCardapioPage.insereCalendarioCardapio(DTLIBERACAO,DTCUSTO);
    }

    public void insereDataAnteriorAprovCard(String TIPOPROCESSAMENTO){calendarioDeCardapioPage.insereDataAnteriorAprovacaoCard(TIPOPROCESSAMENTO);}

    public String validaDataLiberacaoCardapio(){
        return calendarioDeCardapioPage.validaDataLiberacao();

    }

    public String validaDataCustoCardapio(){
        return calendarioDeCardapioPage.validaDataCusto();
    }

    public void prorrogacaoAutomaticaCalendario(String TPPRORROG,String NRDIASPRORROG){
        calendarioDeCardapioPage.prorrogacaoAutomatica(TPPRORROG,NRDIASPRORROG);

    }

    public void exportarCalendarioCardapio(String TPEXPORTACAO,String CDUNIDADE){
        calendarioDeCardapioPage.exportarCalendarioCardapio(TPEXPORTACAO,CDUNIDADE);
    }

    public String validaPrevisaoLiberacao(){return calendarioDeCardapioPage.validaPrevisaoLiberacao();}

    public String validaDiasAprovacao(){return calendarioDeCardapioPage.validaDiasAprovacaoUnidade();}

    public String validaLimiteAprovacao(){return calendarioDeCardapioPage.validaLimiteAprovacaoUnidade();}

    public String validaDiasAprovacaoMatriz(){return calendarioDeCardapioPage.validaDiasAprovacaoMatriz();}

    public String validaLimiteAprovacaoMatriz(){return calendarioDeCardapioPage.validaLimiteAprovacaoMatriz();}

    public String validaDiasProrrogacao(){return calendarioDeCardapioPage.validaDiasProrrogacaoAprovacao();}

    public String validaDataCustoBase(){return calendarioDeCardapioPage.validaCustoBaseCardapio();}

    public void logCalendarioCardapio(){calendarioDeCardapioPage.logCalendarioCardapio();}

    public void calendarioBloqueadoEdicao(){calendarioDeCardapioPage.clicaMesCardapioFechado();}


}
