package com.javaseleniumtemplate.tests;

import com.javaseleniumtemplate.bases.TestBase;
import com.javaseleniumtemplate.flows.AlteracaodeComensaisdoCardapioFlows;
import com.javaseleniumtemplate.flows.LoginFlows;
import org.testng.Assert;
import org.testng.annotations.Test;

public class AlteracaodeComensaisdoCardapioTests extends TestBase {

    LoginFlows loginFlows;
    AlteracaodeComensaisdoCardapioFlows alteracaodeComensaisdoCardapioFlows;

    @Test
    public void alteraComensaisCliente(){
        String QTDCLIENTE = "300";
        String QTDTURNOMANHA = "150";
        String QTDTURNOTARDE = "150";
        String QTDPONTOENTREGA = "300";
        alteracaodeComensaisdoCardapioFlows = new AlteracaodeComensaisdoCardapioFlows();
        loginFlows = new LoginFlows();
        loginFlows.efetuarLogin();
        alteracaodeComensaisdoCardapioFlows.acessaTelaAlteraComensaisCardapio();
        alteracaodeComensaisdoCardapioFlows.realizarFiltro();
        alteracaodeComensaisdoCardapioFlows.alterarComensais(QTDCLIENTE,QTDTURNOMANHA,QTDTURNOTARDE,QTDPONTOENTREGA);

      }

      @Test
    public void alteraComensaisFuncionarios(){
      String QTDCOMFUNC ="10";
      String QTDTURNOMANHA = "160";
      String QTDTURNOTARDE = "160";
      String QTDPONTOENTREGA = "320";
      alteracaodeComensaisdoCardapioFlows = new AlteracaodeComensaisdoCardapioFlows();
      loginFlows = new LoginFlows();
      loginFlows.efetuarLogin();
      alteracaodeComensaisdoCardapioFlows.acessaTelaAlteraComensaisCardapio();
      alteracaodeComensaisdoCardapioFlows.realizarFiltro();
      alteracaodeComensaisdoCardapioFlows.alteraComensaisFuncionarios(QTDCOMFUNC,QTDTURNOMANHA,QTDTURNOTARDE,QTDPONTOENTREGA);


    }

    @Test
    public void alteraComensaisDoacao(){
        String QTDCOMDOACAO ="10";
        String QTDTURNOMANHA = "155";
        String QTDTURNOTARDE = "155";
        String QTDPONTOENTREGA = "310";
        alteracaodeComensaisdoCardapioFlows = new AlteracaodeComensaisdoCardapioFlows();
        loginFlows = new LoginFlows();
        loginFlows.efetuarLogin();
        alteracaodeComensaisdoCardapioFlows.acessaTelaAlteraComensaisCardapio();
        alteracaodeComensaisdoCardapioFlows.realizarFiltro();
        alteracaodeComensaisdoCardapioFlows.alteraComensaisDoacao(QTDCOMDOACAO,QTDTURNOMANHA,QTDTURNOTARDE,QTDPONTOENTREGA);


    }

    @Test
    public void alteraComensaisDoPrato(){
        String QTDPRATO = "40";
        alteracaodeComensaisdoCardapioFlows = new AlteracaodeComensaisdoCardapioFlows();
        loginFlows = new LoginFlows();
        loginFlows.efetuarLogin();
        alteracaodeComensaisdoCardapioFlows.acessaTelaAlteraComensaisCardapio();
        alteracaodeComensaisdoCardapioFlows.realizarFiltro();
        alteracaodeComensaisdoCardapioFlows.alteraComensaisPrato();
        Assert.assertEquals(QTDPRATO,alteracaodeComensaisdoCardapioFlows.retornaNovaQtaPrato(),"Quantidade atualizada do prato: ");

    }

    @Test
    public void comensaisZerados(){
        alteracaodeComensaisdoCardapioFlows = new AlteracaodeComensaisdoCardapioFlows();
        loginFlows = new LoginFlows();
        loginFlows.efetuarLogin();
        alteracaodeComensaisdoCardapioFlows.acessaTelaAlteraComensaisCardapio();
        alteracaodeComensaisdoCardapioFlows.realizarFiltro();
        alteracaodeComensaisdoCardapioFlows.validaComensaisEstimadosZerados();
    }







}
